Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot.util
Class SnapshotAdapterFactory

Show UML class diagram

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          com.hammurapi.eventbus.snapshot.util.SnapshotAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class SnapshotAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SnapshotPackage`

Field Summary
`protected static SnapshotPackage` | `modelPackage` The cached model package.
`protected SnapshotSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

Constructor Summary
`SnapshotAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createCompositeEventAdapter()` Creates a new adapter for an object of class '`Composite Event`'.
`org.eclipse.emf.common.notify.Adapter` | `createDerivationAdapter()` Creates a new adapter for an object of class '`Derivation`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createEventAdapter()` Creates a new adapter for an object of class '`Event`'.
`org.eclipse.emf.common.notify.Adapter` | `createExtractorAdapter()` Creates a new adapter for an object of class '`Extractor`'.
`org.eclipse.emf.common.notify.Adapter` | `createHandlerAdapter()` Creates a new adapter for an object of class '`Handler`'.
`org.eclipse.emf.common.notify.Adapter` | `createJoinEntryAdapter()` Creates a new adapter for an object of class '`Join Entry`'.
`org.eclipse.emf.common.notify.Adapter` | `createJoinInputAdapter()` Creates a new adapter for an object of class '`Join Input`'.
`org.eclipse.emf.common.notify.Adapter` | `createJoinInputCollectorAdapter()` Creates a new adapter for an object of class '`Join Input Collector`'.
`org.eclipse.emf.common.notify.Adapter` | `createJoinNodeAdapter()` Creates a new adapter for an object of class '`Join Node`'.
`org.eclipse.emf.common.notify.Adapter` | `createPredicateAdapter()` Creates a new adapter for an object of class '`Predicate`'.
`org.eclipse.emf.common.notify.Adapter` | `createPredicateNodeAdapter()` Creates a new adapter for an object of class '`Predicate Node`'.
`org.eclipse.emf.common.notify.Adapter` | `createPredicateNodeOutputAdapter()` Creates a new adapter for an object of class '`Predicate Node Output`'.
`org.eclipse.emf.common.notify.Adapter` | `createSnapshotAdapter()` Creates a new adapter for an object of class '`Snapshot`'.
`org.eclipse.emf.common.notify.Adapter` | `createSnapshotElementAdapter()` Creates a new adapter for an object of class '`Element`'.
`boolean` | `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static SnapshotPackage modelPackage

  The cached model package.

### modelSwitch

    protected SnapshotSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### SnapshotAdapterFactory

    public SnapshotAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createSnapshotAdapter

    public org.eclipse.emf.common.notify.Adapter createSnapshotAdapter()

  Creates a new adapter for an object of class '`Snapshot`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Snapshot`

### createSnapshotElementAdapter

    public org.eclipse.emf.common.notify.Adapter createSnapshotElementAdapter()

  Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SnapshotElement`

### createHandlerAdapter

    public org.eclipse.emf.common.notify.Adapter createHandlerAdapter()

  Creates a new adapter for an object of class '`Handler`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Handler`

### createDerivationAdapter

    public org.eclipse.emf.common.notify.Adapter createDerivationAdapter()

  Creates a new adapter for an object of class '`Derivation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Derivation`

### createEventAdapter

    public org.eclipse.emf.common.notify.Adapter createEventAdapter()

  Creates a new adapter for an object of class '`Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Event`

### createPredicateNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateNodeAdapter()

  Creates a new adapter for an object of class '`Predicate Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateNode`

### createPredicateNodeOutputAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateNodeOutputAdapter()

  Creates a new adapter for an object of class '`Predicate Node Output`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredicateNodeOutput`

### createJoinInputAdapter

    public org.eclipse.emf.common.notify.Adapter createJoinInputAdapter()

  Creates a new adapter for an object of class '`Join Input`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `JoinInput`

### createJoinNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createJoinNodeAdapter()

  Creates a new adapter for an object of class '`Join Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `JoinNode`

### createJoinInputCollectorAdapter

    public org.eclipse.emf.common.notify.Adapter createJoinInputCollectorAdapter()

  Creates a new adapter for an object of class '`Join Input Collector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `JoinInputCollector`

### createJoinEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createJoinEntryAdapter()

  Creates a new adapter for an object of class '`Join Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `JoinEntry`

### createExtractorAdapter

    public org.eclipse.emf.common.notify.Adapter createExtractorAdapter()

  Creates a new adapter for an object of class '`Extractor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Extractor`

### createPredicateAdapter

    public org.eclipse.emf.common.notify.Adapter createPredicateAdapter()

  Creates a new adapter for an object of class '`Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Predicate`

### createCompositeEventAdapter

    public org.eclipse.emf.common.notify.Adapter createCompositeEventAdapter()

  Creates a new adapter for an object of class '`Composite Event`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CompositeEvent`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD